# Enums/Interfaces

#### IMTCardData

public interface IMTCardData

{

public byte\[] getData();

public String getMaskedTracks(); public String getTrack1();

public String getTrack2(); public String getTrack3();

public String getTrack1Masked(); public String getTrack2Masked(); public String getTrack3Masked(); public String getMagnePrint(); public String getMagnePrintStatus(); public String getDeviceSerial(); public String getSessionID();

public String getKSN();

public String getDeviceName(); public void clearBuffers(); public long getBatteryLevel(); public long getSwipeCount();

public String getCapMagnePrint();

public String getCapMagnePrintEncryption(); public String getCapMagneSafe20Encryption(); public String getCapMagStripeEncryption(); public String getCapMSR();

public String getCapTracks(); public long getCardDataCRC(); public String getCardExpDate(); public String getCardIIN(); public String getCardLast4(); public String getCardName(); public String getCardPAN(); public int getCardPANLength();

public String getCardServiceCode(); public String getCardStatus(); public int getDataFieldCount(); public String getHashCode();

public String getDeviceConfig(String configType); public String getEncryptionStatus();

public String getFirmware();

public String getMagTekDeviceSerial(); public String getResponseType();

public String getTagValue(String tag, String data); public String getTLVVersion();

public String getTrackDecodeStatus();

<br>

&#x20;

public String getTLVPayload();

&#x20;

public String getMessageID(); public boolean isQwantumCard(); public boolean isQwantumBuffer();

public boolean isCustomerMessage();

&#x20;

String getMSRDUKPTKeySerialNumber(); String getMSRDUKPTKeyInfo();

String getMPDUKPTKeySerialNumber(); String getMPDUKPTKeyInfo();

public String getTokenDUKPTKeySerialNumber(); public String getTokenDUKPTKeyInfo();

public String getQwantumStatus(); public String getQwantumToken(); public String getQwantumCardID();

public String getEncryptedQwantumDataBuffer(); public String getMACDUKPTKeyInfo();

public String getMACMessageLength(); public String getMAC();

public String getCustomerMessageCode(); public String getCustomerMessageText();

public String getEncryptedSCDE();

public String getSCDEDUKPTKeySerialNumber(); public String getSCDEDUKPTKeyInfo();


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-.net-pcl/enums-interfaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
